Package com.io7m.cardant.protocol.inventory.cb

# Interface CAI1ListLocationBehaviour

All Superinterfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

All Known Implementing Classes:
  `CAI1ListLocationBehaviour.CAI1ListLocationExact`, `CAI1ListLocationBehaviour.CAI1ListLocationsAll`, `CAI1ListLocationBehaviour.CAI1ListLocationWithDescendants`

public sealed interface CAI1ListLocationBehaviour extends com.io7m.cedarbridge.runtime.api.CBSerializableType permits CAI1ListLocationBehaviour.CAI1ListLocationExact, CAI1ListLocationBehaviour.CAI1ListLocationWithDescendants, CAI1ListLocationBehaviour.CAI1ListLocationsAll
The behaviour requested for listing items in locations.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `CAI1ListLocationBehaviour.CAI1ListLocationExact`
  Only list items within the exact given location.
  `static final record`
  `CAI1ListLocationBehaviour.CAI1ListLocationsAll`
  List items within all locations.
  `static final record`
  `CAI1ListLocationBehaviour.CAI1ListLocationWithDescendants`
  List items within the given location and all descendants of the given location.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static CAI1ListLocationBehaviour`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1ListLocationBehaviour.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1ListLocationBehaviour $x)`
  Serialize a value of type CAI1ListLocationBehaviour.

- ## Method Details

  - ### serialize

    static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1ListLocationBehaviour $x) throws IOException
    Serialize a value of type CAI1ListLocationBehaviour.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    static CAI1ListLocationBehaviour deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1ListLocationBehaviour.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1ListLocationBehaviour.
    Throws:
      `IOException`